org.apache.commons.math.estimation

## Class SimpleEstimationProblem

- java.lang.Object
- - org.apache.commons.math.estimation.SimpleEstimationProblem

All Implemented Interfaces:
  EstimationProblem

Deprecated.
as of 2.0, everything in package org.apache.commons.math.estimation has been deprecated and replaced by package org.apache.commons.math.optimization.general

    @Deprecated
    public class SimpleEstimationProblem
    extends Object
    implements EstimationProblem

Simple implementation of the `EstimationProblem` interface for boilerplate data handling.

This class only handles parameters and measurements storage and unbound parameters filtering. It does not compute anything by itself. It should either be used with measurements implementation that are smart enough to know about the various parameters in order to compute the partial derivatives appropriately. Since the problem-specific logic is mainly related to the various measurements models, the simplest way to use this class is by extending it and using one internal class extending `WeightedMeasurement` for each measurement type. The instances of the internal classes would have access to the various parameters and their current estimate.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $

### Field Summary

Fields
`private List<WeightedMeasurement>` `measurements` Deprecated. Measurements.
`private List<EstimatedParameter>` `parameters` Deprecated. Estimated parameters.

### Constructor Summary

Constructors
Constructor and Description
`SimpleEstimationProblem()` Deprecated. Build an empty instance without parameters nor measurements.

### Method Summary

Methods
`protected void` `addMeasurement(WeightedMeasurement m)` Deprecated. Add a new measurement to the set.
`protected void` `addParameter(EstimatedParameter p)` Deprecated. Add a parameter to the problem.
`EstimatedParameter[]` `getAllParameters()` Deprecated. Get all the parameters of the problem.
`WeightedMeasurement[]` `getMeasurements()` Deprecated. Get the measurements of an estimation problem.
`EstimatedParameter[]` `getUnboundParameters()` Deprecated. Get the unbound parameters of the problem.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parameters

    private final List<EstimatedParameter> parameters

Deprecated.
Estimated parameters.

#### measurements

    private final List<WeightedMeasurement> measurements

Deprecated.
Measurements.

### Constructor Detail

#### SimpleEstimationProblem

    public SimpleEstimationProblem()

Deprecated.
Build an empty instance without parameters nor measurements.

### Method Detail

#### getAllParameters

    public EstimatedParameter[] getAllParameters()

Deprecated.
Get all the parameters of the problem.

Specified by:
  `getAllParameters` in interface `EstimationProblem`
Returns:
  parameters

#### getUnboundParameters

    public EstimatedParameter[] getUnboundParameters()

Deprecated.
Get the unbound parameters of the problem.

Specified by:
  `getUnboundParameters` in interface `EstimationProblem`
Returns:
  unbound parameters

#### getMeasurements

    public WeightedMeasurement[] getMeasurements()

Deprecated.
Get the measurements of an estimation problem.

Specified by:
  `getMeasurements` in interface `EstimationProblem`
Returns:
  measurements

#### addParameter

    protected void addParameter(EstimatedParameter p)

Deprecated.
Add a parameter to the problem.

Parameters:
  `p` - parameter to add

#### addMeasurement

    protected void addMeasurement(WeightedMeasurement m)

Deprecated.
Add a new measurement to the set.

Parameters:
  `m` - measurement to add